@import '../../../../assets/styles/common.scss';

.custom-ui-auto-complete {

    font-size: 16px;
    color: black;
    position: relative;

    .mdl-textfield {
        width: 100%;
    }

    &-no-data {
        display: block;
        font-size: 16px;
        font-weight: bold;
        text-align: center;
        padding: 15px 10px;
        width: calc(100% - 20px);
    }

    &-list {
        width: 100%;
        z-index: 9999;
        margin-top: 0px;
        overflow-y: auto;
        padding: 5px 0px;
        position: absolute;
        transform: scaleY(0);    
        transform-origin: top;
        background-color: white;
        max-height: calc(100vh - 300px);
        transform:  max-height 0.5s ease;
        transition: transform 0.46s ease;
        box-shadow: 0 6px 6px -6px black;

        &.opened {
            transform: scaleY(1);
        }

        &-item {
            width: 100%;
            padding: 10px 15px;
            transition: background-color 0.35s;

            &.mdl-list__item {
                display: flex;
                cursor: pointer;
                flex-wrap: nowrap;
                flex-direction: row;
            }

            &:hover {
                font-weight: bold;
                background-color: rgba($bgColor, 0.15);
            }

            pre {
                margin: 0px;
                overflow: hidden;
                text-overflow: ellipsis;
                font-family: Open Sans,sans-serif;
            }
        }
    }
}
    